%define upstream_name    Pod-Markdown
%define upstream_version 3.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert POD to Markdown
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Simple) >= 3.270.0
BuildRequires: perl(Pod::Simple::Methody)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module subclasses the Pod::Parser manpage and converts POD to
Markdown.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/pod2markdown
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.5.0-2.mga6
+ Revision: 1032317
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 3.5.0-1.mga6
+ Revision: 989842
- update to 3.005

* Fri Feb 19 2016 umeabot <umeabot> 3.3.0-2.mga6
+ Revision: 970029
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 3.3.0-1.mga6
+ Revision: 884784
- update to 3.003

* Sun Aug 23 2015 sander85 <sander85> 3.2.0-1.mga6
+ Revision: 868651
- update to 3.002

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 739900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 686010
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 2.2.0-1.mga5
+ Revision: 650417
- update to 2.002

* Tue May 06 2014 jquelin <jquelin> 2.1.0-1.mga5
+ Revision: 620728
- update to 2.001

* Mon Feb 10 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 588630
- update to 2.000

* Fri Oct 18 2013 umeabot <umeabot> 1.322.0-3.mga4
+ Revision: 514235
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.322.0-2.mga3
+ Revision: 371926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.322.0-1.mga3
+ Revision: 342538
- update to 1.322

* Wed Nov 07 2012 jquelin <jquelin> 1.321.0-1.mga3
+ Revision: 315820
- update to 1.321

* Tue Jun 05 2012 jquelin <jquelin> 1.320.0-1.mga3
+ Revision: 255369
- update to 1.320

* Thu Dec 08 2011 kharec <kharec> 1.200.0-1.mga2
+ Revision: 179255
- update to 1.200000

* Sat Nov 26 2011 kharec <kharec> 1.120.0-1.mga2
+ Revision: 172190
- update to 1.120000

* Wed Mar 16 2011 jquelin <jquelin> 1.110.730-1.mga1
+ Revision: 72354
- update to 1.110730

* Tue Jan 18 2011 jquelin <jquelin> 1.103.491-1.mga1
+ Revision: 23366
- cleaning spec file
- imported package perl-Pod-Markdown

